# 

dir=$(dirname "$0")

export PATH="$(pwd)/tests/bin":$PATH

. "$dir"/test-lib.sh

[ -z "$PYTHON" ] && PYTHON=python

setup

desc "setup.py without arguments"
fails "$PYTHON setup.py"
succeeds "$PYTHON setup.py 2>&1 |grep 'usage: setup.py'"

desc "setup.py --help"
succeeds "$PYTHON setup.py --help"
# .* = Unix|Windows
succeeds "$PYTHON setup.py --help |grep 'PycURL .* options:'"
# distutils help
succeeds "$PYTHON setup.py --help |grep 'Common commands:'"

desc "setup.py --help with bogus --curl-config"
succeeds "$PYTHON setup.py --help --curl-config=/dev/null"
succeeds "$PYTHON setup.py --help --curl-config=/dev/null |grep 'PycURL .* options:'"
# this checks that --curl-config is consumed prior to
# distutils processing --help
fails "$PYTHON setup.py --help --curl-config=/dev/null 2>&1 |grep 'option .* not recognized'"
